cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

How to specify TLSv1.2 in JDBC connection string for DCRUM to connect to MSSQL database

CharlesWu
Organizer

We are running DCRUM 12.4.x and our company is shutting down TLSv1. In DCRUM components CAS, ADS, and CSS, the JDBC connection string is using "jdbc.connectionString=jdbc\:jtds\:sqlserver\://xxxx/yyyy;instance\=zzzz;ssl\=require;useNTLMv2\=true"

The TLSv1.2 is enabled in MSSQL DB side as verified, so if TLSv1 and v1.1 are disabled, does this JDBC connection string still works? Can we specify TLSv1.2 in it? Do we need to upgrade JDBC driver?

6 REPLIES 6

BabarQayyum
Leader

Hello Charles,

Make sure your Windows version supports TLS 1.2 connections.

TLS 1.2 support for MS SQL Server (2008, 2012, and 2014) requires a specific Service Pack version and/or cumulative update patch.

Review the below link for more insight.

https://www.dynatrace.com/support/doc/dcrum/deploy...

Regards,

Babar

CharlesWu
Organizer

Thanks Babar for your reply. Does the current version of driver supports TLSv1.2?

Hello Charles,

I did not get your question?

Since all the SSL protocol versions other than TLS 1.2 are a subject to a number of vulnerabilities and security issues, therefore, it is strongly recommended to configure your DC RUM deployment to use TLS 1.2 together with a set of safe cipher suites for the following connections.

Review the below link for enabling TLS 1.2 across DC RUM deployment.

https://community.dynatrace.com/community/display/DCRUM124/Enabling+TLS+1.2+across+DC+RUM+deployment?_ga=2.100983745.1360022340.1526189677-1291383388.1525793342

Regards,

Babar

CharlesWu
Organizer

I already followed this link to disable other TLS versions other than TLSv1.2. Thanks anyway. In this link, close to very end, "3. Make sure that all DC RUM components connecting to this database are utilizing TLSv1.2.". This actually was my question: how can I make sure all of JDBC connection string are using TLSv1.2?

Hello Charles,

Have a look on the below link for TLS 1.2 support for Microsoft SQL Server.

https://support.microsoft.com/gl-es/help/3135244.

Regards,

Babar

CharlesWu
Organizer

Thanks for the link. For Client component /driver, are we allowed to update the driver in DCRUM?